<template>
  <div class="home" >

   <v-flex style="margin: 0 30px 30px 30px;">
    <v-parallax
      height="700" 
      src="https://lumiere-a.akamaihd.net/v1/images/richbanner-toystory4_0026da28.jpeg?region=0,0,1920,1045&width=1200"
    ></v-parallax>

    <h1 class="white--text hm">Movies</h1>
    <v-container>
      <h1 class="subheading white--text">Now Showing</h1>
    </v-container>
    <v-divider></v-divider>

    <v-container class="my-2" >
      <v-layout row wrap>
        <v-flex justify-center xs12 sm6 md4 lg3 v-for="i in movies.length" :key="i">
          <div class="zoom">
            <v-card flat class="text-xs-center ma-3" >
              <v-responsive class="justify-center mx-4 mb-2">
                <img height="350px" :src="movies[i-1].image">
                <v-card-actions class="justify-center primary">
                  <v-btn flat color="white">
                    <v-icon small left>credit_card</v-icon>
                    <span
                      class="text-uppercase white--text"
                      @click="gotoShowtime(movies[i-1]._id)"
                    >buy ticket</span>
                  </v-btn>
                </v-card-actions>
              </v-responsive>
              <v-card-text>
                <div class="subheading">{{ movies[i-1].movie_name }}</div>
                <div class="primary--text my-2">Release date {{ movies[i-1].release_date }}</div>
              </v-card-text>
            </v-card>
          </div>
        </v-flex>
      </v-layout>
    </v-container>
   </v-flex>
  </div>
</template>

<script>
export default {
  created() {
    this.getmovielist();
  },

  methods: {
    async getmovielist() {
      await this.axios
        .get("http://192.168.253.50:4000/movie")
        .then(response => {
          console.log(response.data);
          this.movies = response.data;
        });
    },
    gotoShowtime(id) {
      console.log(id);
      localStorage.setItem("M_ID_TEMP", id);
      this.$router.push("/showTime");
    }
  },
  data() {
    return {
      movies: []
    };
  }
};
</script>

<style>
.zoom {
  padding: 5px;

  transition: transform 0.2s; /* Animation */

  margin: 0 auto;
}

.zoom:hover {
  transform: scale(
    1.2
  ); /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
 } 
 
/* .home{ 
   font-family: "Itim", sans-serif;
   
  background-image:url("http://i.imgur.com/Z6M8wO2.jpg") ;
  background-color:#ff8a80; 
  height: 100%;
  width: 100%;
  background-position:center;
   background-repeat:no-repeat;
   background-size:cover;  
} */


  .home { 
           
            background-color: white; 
            background-image: linear-gradient(#e6065c, #660bb8 ,#000000); 
            height: 100%;
            width: 100%;
         } 
         .test { 
            text-align:center; 
            font-size:40px; 
            font-weight:bold; 
            padding-top:80px; 
            color:white;
         } 
  h1.hm {
    font-size: 36px;
    text-align: center;
  }
</style>